> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofiniti.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves all entities available for your company

> Retrieves all entities available for your company



## OpenAPI

````yaml /specs/fuelboss/fuelboss-api.json get /v1/company-entities
openapi: 3.1.1
info:
  title: FuelBoss API
  description: >-
    REST API providing a powerful and easy way to manage your companies
    nominations and operations.
  termsOfService: https://www.ofiniti.com/legal/platform-service-terms
  contact:
    name: Support Team
    email: itops@ofiniti.com
  version: 1.15.1
servers:
  - url: https://api.demo.fuelboss.net
    description: Demo (sandbox for testing and integration development)
  - url: https://api.fuelboss.net
    description: Production
security:
  - bearerAuth: []
tags:
  - name: OAuth
  - name: Nominations
  - name: Entity management
  - name: Operations
  - name: Common
  - name: Webhooks
  - name: Webhook events
paths:
  /v1/company-entities:
    get:
      tags:
        - Entity management
      summary: Retrieves all entities available for your company
      description: Retrieves all entities available for your company
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FuelBoss.Api.Contracts.Api.Nomination.CompanyEntity.CompanyEntity
                  description: A legal or organizational entity of your company.
components:
  schemas:
    FuelBoss.Api.Contracts.Api.Nomination.CompanyEntity.CompanyEntity:
      type: object
      properties:
        reference:
          type: string
          description: Unique reference for the company entity.
        name:
          type: string
          description: Company entity name.
        documentHeaderText:
          type:
            - 'null'
            - string
          description: Text used in document headers (may be null).
      additionalProperties: false
      description: A legal or organizational entity of your company.
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        Access token obtained from the /oauth/token endpoint using your client
        credentials.
      scheme: bearer
      bearerFormat: JWT

````